Bug 318251 - samba failed to start because of missing cups-libs
samba failed to start because of missing cups-libs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-04 09:28 EDT by Ingo Schaefer
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: samba-3.0.26a-0.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-05 12:36:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ingo Schaefer 2007-10-04 09:28:17 EDT
Description of problem:
I installed some kind of minimal system (server class) and this machine should
only provide file services, so I decided not to install printing support and
"unchecked" it in the installation. Everything went fine, but samda did not
start, even if printing was explicite not configured.

After installing cups-libs, samba started perfectly.

Version-Release number of selected component (if applicable):


How reproducible:
just tried once

Steps to Reproduce:
1. install fedora 7 without "printing support", but including "samba"
2. try to start samba service
  
Actual results:
the smbd did not start properly

Expected results:
either installation should have installed cups-libs or the samba smbd binary
should load the lib dynamically if needed via some kind of module system.

Additional info:
Comment 1 Simo Sorce 2007-10-04 11:35:58 EDT
The samba packages requires libcups.so.2 which is provided by cups-libs.
Have you installed all dependencies? or have you forced the installation of the
samba package with --nodeps ?
Comment 2 Ingo Schaefer 2007-10-04 11:48:27 EDT
I just made a "normal" installation without any possibility to force
installation of packages.

I don't know if this is a bug in "Requires" or in anaconda which in fact
installed the package.
Comment 3 Simo Sorce 2007-10-04 12:01:02 EDT
an 'rpm -q --requires samba' should return you libcups.so.2 in the output, can
you confirm ?
Comment 4 Ingo Schaefer 2007-10-04 12:33:07 EDT
Yes, the package seems to have libcups.so.2 listed in requires.

But installation dates on the machine are:
samba: september 26th, 10:38
cups-libs: september 27th, 14:48

(I installed cups-libs after samba failed to start.)

I just found out, that the original installation installed cups-libs-1.2.10 and
now 1.2.12 is installed. Maybe the original cups-libs package was broken?
Comment 5 Simo Sorce 2007-10-04 16:03:03 EDT
Could be, what samba version do you have?
Comment 6 Ingo Schaefer 2007-10-05 03:42:36 EDT
As I stated already: 

now (working) is 1.2.12

previous (not working) was 1.2.10 (original installation version)
Comment 7 Simo Sorce 2007-10-05 09:11:30 EDT
But I asked you about the samba version, not the cups version :-)
Comment 8 Ingo Schaefer 2007-10-05 11:00:40 EDT
Oh sorry.

currently installed is 3.0.26a, previously installed was 3.0.25-2

So I think that one of the installation packages had bad dependencies which are
already fixed.
Comment 9 Simo Sorce 2007-10-05 12:36:23 EDT
Ok then I'll close this as fixed in current release,
thanks.

Note You need to log in before you can comment on or make changes to this bug.